Package org.eclipse.m2m.atl.profiler.model.impl

# Class ExecutionErrorImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.m2m.atl.profiler.model.impl.ExecutionErrorImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `ExecutionError`

public class ExecutionErrorImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements ExecutionError
An implementation of the model object 'Execution Error'.

The following features are implemented:

- `Message`
- `Error`
- `Frames`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`error`
The cached value of the '`Error`' attribute.
`protected static final String`
`ERROR_EDEFAULT`
The default value of the '`Error`' attribute.
`protected String`
`frames`
The cached value of the '`Frames`' attribute.
`protected static final String`
`FRAMES_EDEFAULT`
The default value of the '`Frames`' attribute.
`protected String`
`message`
The cached value of the '`Message`' attribute.
`protected static final String`
`MESSAGE_EDEFAULT`
The default value of the '`Message`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ExecutionErrorImpl()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`String`
`getError()`
`String`
`getFrames()`
`String`
`getMessage()`
`void`
`setError(String newError)`
`void`
`setFrames(String newFrames)`
`void`
`setMessage(String newMessage)`
`String`
`toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### MESSAGE_EDEFAULT

protected static final String MESSAGE_EDEFAULT
The default value of the '`Message`' attribute.

See Also:
  - `getMessage()`

### message

protected String message
The cached value of the '`Message`' attribute.

See Also:
  - `getMessage()`

### ERROR_EDEFAULT

protected static final String ERROR_EDEFAULT
The default value of the '`Error`' attribute.

See Also:
  - `getError()`

### error

protected String error
The cached value of the '`Error`' attribute.

See Also:
  - `getError()`

### FRAMES_EDEFAULT

protected static final String FRAMES_EDEFAULT
The default value of the '`Frames`' attribute.

See Also:
  - `getFrames()`

### frames

protected String frames
The cached value of the '`Frames`' attribute.

See Also:
  - `getFrames()`

## Constructor Details

### ExecutionErrorImpl

protected ExecutionErrorImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getMessage

public String getMessage()

Specified by:
  `getMessage` in interface `ExecutionError`
Returns:
  the value of the 'Message' attribute.
See Also:
  - `ExecutionError.setMessage(String)`
  - `ModelPackage.getExecutionError_Message()`

### setMessage

public void setMessage(String newMessage)

Specified by:
  `setMessage` in interface `ExecutionError`
Parameters:
  `newMessage` - the new value of the 'Message' attribute.
See Also:
  - `ExecutionError.getMessage()`

### getError

public String getError()

Specified by:
  `getError` in interface `ExecutionError`
Returns:
  the value of the 'Error' attribute.
See Also:
  - `ExecutionError.setError(String)`
  - `ModelPackage.getExecutionError_Error()`

### setError

public void setError(String newError)

Specified by:
  `setError` in interface `ExecutionError`
Parameters:
  `newError` - the new value of the 'Error' attribute.
See Also:
  - `ExecutionError.getError()`

### getFrames

public String getFrames()

Specified by:
  `getFrames` in interface `ExecutionError`
Returns:
  the value of the 'Frames' attribute.
See Also:
  - `ExecutionError.setFrames(String)`
  - `ModelPackage.getExecutionError_Frames()`

### setFrames

public void setFrames(String newFrames)

Specified by:
  `setFrames` in interface `ExecutionError`
Parameters:
  `newFrames` - the new value of the 'Frames' attribute.
See Also:
  - `ExecutionError.getFrames()`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`